*----------------------------------------------------------------------
*-- Program...: DUFLP.H
*-- Programmer: Ken Mayer, based on suggestions by Jim Sare and
*--             Romain Streiff
*-- Date......: 12/07/1996
*-- Notes.....: Any routines necessary for dUFLP library that are
*--             shared routines.
*----------------------------------------------------------------------

FUNCTION SetProc( cProcName )
*----------------------------------------------------------------------
*-- Programmer..: Ken Mayer, Romain Strieff
*-- Date........: 12/07/1996
*-- Notes.......: Checks to see if a procedure file is open and
*--               available.
*-- Written for.: Visual dBASE 5.5
*-- Rev. History: 12/07/1996 -- Original Code
*--               12/20/1996 -- Romain posted a better version
*-- Calls.......: None
*-- Usage.......: SetProc( <cProcName> )
*-- Example.....: if .not. SetProc( "MyProcedure.PRG" )
*--                  set procedure to myprocedure additive
*--               endif
*-- Returns.....: Logical
*-- Parameters..: cProcName = Name of procedure file, needs to
*--                           have the extension, and if necessary,
*--                           (not in current directory), the path.
*----------------------------------------------------------------------

   lRet=.f.
   n=1
   clear
   do
      cCheck=set("procedure",n)
      if empty(cCheck)
         exit
      else
         if "\" $ cCheck
            cCheck=upper(right(cCheck, len(cCheck)-rat("\",cCheck)))
         endif
         if upper(cProcname)==upper(cCheck)
           lRet=.t.
         endif
      endif
      
      n=n+1  

   until .f.
   
RETURN lret
